#include<stdio.h>

int main(){

     int n, v, k;
     scanf("%d", &n);

     if(n<=0){
       printf("-1\n");
     
     return -1;
     }
     
     
     for(v=1;v<=n;v++){
       
       for(k=1;k<=n-v;k++){
	 
	 printf(" ");
       }
       
     
       
       for(k=1; k<=v-1; k++){
	 
	 printf("*A");
       }
       
       printf("*");
       printf("\n");
       
     }
     
   return 0;
}